init

## Class ManagerOutput

- java.lang.Object
- - init.ManagerOutput

    public class ManagerOutput
    extends java.lang.Object

The Class ManagerOutput.

### Constructor Summary

Constructors
Constructor and Description
`ManagerOutput(java.util.HashMap<java.lang.String,java.lang.Double> actions, java.lang.String type)` Instantiates a new manager output.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.HashMap<java.lang.String,java.lang.Double>` `getActions()` Gets the actions.
`java.util.concurrent.FutureTask<java.lang.Double>` `getFutureTask()` Gets the future task.
`java.lang.String` `getType()` Gets the type.
`void` `setActions(java.util.HashMap<java.lang.String,java.lang.Double> actions)` Sets the actions.
`void` `setFutureTask(java.util.concurrent.FutureTask<java.lang.Double> futureTask)` Sets the future task.
`void` `setType(java.lang.String type)` Sets the type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManagerOutput

    public ManagerOutput(java.util.HashMap<java.lang.String,java.lang.Double> actions,
                         java.lang.String type)

Instantiates a new manager output.

Parameters:
  `actions` - the actions
  `type` - the type

### Method Detail

#### setActions

    public void setActions(java.util.HashMap<java.lang.String,java.lang.Double> actions)

Sets the actions.

Parameters:
  `actions` - the actions

#### setType

    public void setType(java.lang.String type)

Sets the type.

Parameters:
  `type` - the new type

#### getActions

    public java.util.HashMap<java.lang.String,java.lang.Double> getActions()

Gets the actions.

Returns:
  the actions

#### getType

    public java.lang.String getType()

Gets the type.

Returns:
  the type

#### setFutureTask

    public void setFutureTask(java.util.concurrent.FutureTask<java.lang.Double> futureTask)

Sets the future task.

Parameters:
  `futureTask` - the new future task

#### getFutureTask

    public java.util.concurrent.FutureTask<java.lang.Double> getFutureTask()

Gets the future task.

Returns:
  the future task